import java.io.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.filechooser.*;
/**
 * Objekt der Klasse FileChooser gibt die Mglichkeit
 * Datein zu speichern und zu laden.
 * Hier wird auch die Klasse ExampleFileFilter benutzt, um
 * die Dateien, die die Endung "ser" haben anzuzeigen.
 */
public class FileChooser extends JFileChooser{

    //final JFileChooser fc;

    public FileChooser(Frame parent) {

        //erzeugt ein "file chooser"
        //mit einem Filter, das nur die Datein mit der Endung "ser"
        //anzeigt.
        super();
        //fc = new JFileChooser();
        this.addChoosableFileFilter(new SwarmFilter());
        this.setFileView(new ImageFileView());

    }

         public void loadFileChooser(Simulator sim){
                int returnVal = this.showOpenDialog(FileChooser.this);

                if (returnVal == JFileChooser.APPROVE_OPTION) {
                    String Filename    = (this.getSelectedFile()).getName();
                    String Directory   = (this.getSelectedFile()).getAbsolutePath();
                    sim.load(Directory, Filename);
                }
          }

        public void saveFileChooser(Simulator sim) {
                int returnVal = showSaveDialog(FileChooser.this);
                if (returnVal == JFileChooser.APPROVE_OPTION) {
                    String Filename    = (this.getSelectedFile()).getName();
                    String Directory   = (this.getSelectedFile()).getAbsolutePath();
                    sim.store(Directory, Filename);
                }
        }
}
